|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QPlatinumStyle Class Reference

The QPlatinumStyle class provides Mac/Platinum look and feel. More...

    #include <QPlatinumStyle>

Part of the QtGui module.

Inherits QWindowsStyle.

- List of all members, including inherited members

### Public Functions

- QPlatinumStyle ()
- virtual ~QPlatinumStyle ()
- virtual QRect subElementRect ( SubElement ce, const QStyleOption * opt, const QWidget * widget = 0 ) const

- 21 public functions inherited from QStyle
- 28 public functions inherited from QObject

### Protected Functions

- void drawRiffles ( QPainter * p, int x, int y, int w, int h, const QPalette & pal, bool horizontal ) const
- QColor mixedColor ( const QColor & c1, const QColor & c2 ) const

- 7 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 4 static public members inherited from QObject

## Detailed Description

The QPlatinumStyle class provides Mac/Platinum look and feel.

This class implements the Platinum look and feel. It's an experimental class that tries to resemble a Macintosh-like GUI style with the QStyle system. The emulation is currently far from perfect.

Most of the functions are documented in the base classes QWindowsStyle, QCommonStyle, and QStyle, but the QPlatinumStyle overloads of drawComplexControl(), drawControl(), drawPrimitive(), subControlRect(), and subRect(), are documented here.

See also QMacStyle.

## Member Function Documentation

### QPlatinumStyle::QPlatinumStyle ()

Constructs a QPlatinumStyle

### QPlatinumStyle::~QPlatinumStyle () `[virtual]`

Destroys the style.

### void QPlatinumStyle::drawRiffles ( QPainter * p, int x, int y, int w, int h, const QPalette & pal, bool horizontal ) const `[protected]`

Draws the nifty Macintosh decoration used on sliders using painter p and colorgroup pal. x, y, w, h and horizontal specify the geometry and orientation of the riffles.

### QColor QPlatinumStyle::mixedColor ( const QColor & c1, const QColor & c2 ) const `[protected]`

Mixes two colors c1 and c2 to a new color.

### QRect QPlatinumStyle::subElementRect ( SubElement ce, const QStyleOption * opt, const QWidget * widget = 0 ) const `[virtual]`